# Class CIM_UseOfMessageLog
extends CIM_UseOfLog

ManagedSystemElements may record their event, error or informational data within MessageLogs. The use of a Log to hold a ManagedSystemElement's data is described by this association. UseOfMessageLog has the same semantics as UseOfLog. Users SHOULD reference UseOfLog in lieu of this association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_UseOfLog
|
+--CIM_UseOfMessageLog

## Direct Known Subclasses

CIM_OperationLog

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | ManagedSystemElements may record their event, error or informational data within MessageLogs. The use of a Log to hold a ManagedSystemElement's data is described by this association. UseOfMessageLog has the same semantics as UseOfLog. Users SHOULD reference UseOfLog in lieu of this association.
UMLPackagePath | string | CIM::System::Logs
Version | string | 2.9.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_UseOfMessageLog | CIM_MessageLog

### Propagated Association References

Name | Class Origin | Reference Class
--- | --- | ---

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
RecordedData | string | CIM_UseOfLog

## Class Methods